# Redeem promotion code.

Redeem promotion code.

Endpoint: POST /promotion-codes/redeem/{discountedType}/{discounted}
Version: 1.0.0

## Path parameters:

  - `discountedType` (string, required)
    The type of discountable.
    Enum: "product", "fee", "order"

  - `discounted` (string, required)
    The ID of a discountable. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

## Request fields (application/json):

  - `code` (string, required)
    The code of the promotion code to redeem.
    Example: "BEAVER"

## Response 200 fields (application/json):

  - `message` (string, required)
    The message of the response.
    Example: "Promotion code successfully redeemed."

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


